Bug 336901 - File exists: '/data/Fedora8/8/i386/iso'
File exists: '/data/Fedora8/8/i386/iso'
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-17 20:34 EDT by John Reiser
Modified: 2013-01-09 20:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 15:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-10-17 20:34:22 EDT
Description of problem: Pungi is clumsy about state from run-to-run.  In
particular, pungi aborts if destination files to be created already exsit. 
However, the abort happens after much work, and not near the beginning of a run.
 The documentation is also unclear about which specific files suffer this fate.
 The word 'empty' [as in, "the destination directory must be empty"] does not
appear in the manual page.  Instead, pungi should just believe the filesystem
permissions; or, check each file at the beginning of the run so as not to waste
so much effort before giving up.

Version-Release number of selected component (if applicable): pungi-1.1.5-1.fc8

How reproducible: always

Steps to Reproduce:
1. run pungi successfully.
2. re-run the same pungi command, without doing anything else.
Actual results: OSError: [Errno 17] File exists: '/data/Fedora8/8/i386/iso'

Expected results: no complaint as long as file creation succeeds by the usual
rules of Linux and the filesystem permission bits.

Additional info:
Comment 1 Jesse Keating 2007-11-15 15:57:23 EST
This is tracked by https://hosted.fedoraproject.org/projects/pungi/ticket/46

Note You need to log in before you can comment on or make changes to this bug.